﻿
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Forms.Tools.MultiColumnTreeView;

namespace Syncfusion.ThemeStudio.WinForms
{
    /// <summary>
    /// Represents a class that contains the order information collection.
    /// </summary>
    internal class OrderInfoCollection : IDisposable
    {
      
        /// <summary>
        /// Initializes a new instance of the <see cref="OrderInfoCollection" /> class.
        /// </summary>
        public OrderInfoCollection()
        {
               
        }

        /// <summary>
        /// Releases the unmanaged resources.
        /// </summary>
        public void Dispose()
        {
            Dispose(true);
            GC.SuppressFinalize(this);
        }

        /// <summary>
        /// Releases the unmanaged resources used by the Control and its child controls and optionally releases the managed
        ///     resources.
        /// </summary>
        /// <param name="isdisposable">
        /// true to release both managed and unmanaged resources; false to release only unmanaged
        ///     resources.
        /// </param>
        protected virtual void Dispose(bool isdisposable)
        {

        }
    }

   

    /// <summary>
    /// Represents a class that contains the TreeView information collection.
    /// </summary>
    internal class TreeViewInfoCollection
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TreeViewInfoCollection" /> class.
        /// </summary>
        internal TreeViewInfoCollection()
        {

        }

        /// <summary>
        /// Helps to load the TreeNodeAdvCollection details.
        /// </summary>
        internal void LoadTreeView(ref MultiColumnTreeView multiColumnTreeView)
        {
            TreeColumnAdv countryColumn = new TreeColumnAdv();
            TreeColumnAdv capitalColumn = new TreeColumnAdv();
            countryColumn.Text = "Country";
            capitalColumn.Text = "Capital";
            countryColumn.Width = 150;
            capitalColumn.Width = 150;
            countryColumn.BorderStyle = BorderStyle.FixedSingle;
            capitalColumn.BorderStyle = BorderStyle.FixedSingle;
            multiColumnTreeView.Columns.AddRange(new TreeColumnAdv[] { countryColumn, capitalColumn });

            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv asiaNode = new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv europeNode = new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv northAmericaNode = new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv australiaNode = new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv southAmericaNode = new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv africaNode = new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();

            asiaNode.Text = "Asia";
            europeNode.Text = "Europe";
            northAmericaNode.Text = "North America";
            australiaNode.Text = "Australia";
            southAmericaNode.Text = "South America";
            africaNode.Text = "Africa";

            multiColumnTreeView.Nodes.AddRange(new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv[] { asiaNode, europeNode, northAmericaNode, australiaNode, southAmericaNode, africaNode });

            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv indiaNode = new Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv chinaNode = new Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv britainNode = new Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv franceNode = new Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv unitedStatesNode = new Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv CanadaNode = new Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv australiaChildNode = new Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv newZealandNode = new Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv brazilNode = new Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv argentinaNode = new Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv southAfricaNode = new Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv zimbabweNode = new Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv();

            indiaNode.Text = "India";
            chinaNode.Text = "China";
            britainNode.Text = "Britain";
            franceNode.Text = "France";
            unitedStatesNode.Text = "United States";
            CanadaNode.Text = "Canada";
            australiaChildNode.Text = "Australia";
            newZealandNode.Text = "New Zealand";
            brazilNode.Text = "Brazil";
            argentinaNode.Text = "Argentina";
            southAfricaNode.Text = "South Africa";
            zimbabweNode.Text = "Zimbabwe";

            asiaNode.Nodes.AddRange(new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv[] { indiaNode, chinaNode });
            europeNode.Nodes.AddRange(new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv[] { britainNode, franceNode });
            northAmericaNode.Nodes.AddRange(new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv[] { unitedStatesNode, CanadaNode });
            australiaNode.Nodes.AddRange(new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv[] { australiaChildNode, newZealandNode });
            southAmericaNode.Nodes.AddRange(new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv[] { brazilNode, argentinaNode });
            africaNode.Nodes.AddRange(new Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdv[] { southAfricaNode, zimbabweNode });

            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdvSubItem delhiSubItem = new TreeNodeAdvSubItem();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdvSubItem beijingSubItem = new TreeNodeAdvSubItem();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdvSubItem londonSubItem = new TreeNodeAdvSubItem();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdvSubItem parisSubItem = new TreeNodeAdvSubItem();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdvSubItem washingtonSubItem = new TreeNodeAdvSubItem();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdvSubItem ottawaSubItem = new TreeNodeAdvSubItem();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdvSubItem canberraSubItem = new TreeNodeAdvSubItem();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdvSubItem wellingtonSubItem = new TreeNodeAdvSubItem();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdvSubItem brasiliaSubItem = new TreeNodeAdvSubItem();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdvSubItem buenosSubItem = new TreeNodeAdvSubItem();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdvSubItem capeTownSubItem = new TreeNodeAdvSubItem();
            Syncfusion.Windows.Forms.Tools.MultiColumnTreeView.TreeNodeAdvSubItem harereSubItem = new TreeNodeAdvSubItem();

            delhiSubItem.Text = "New Delhi";
            beijingSubItem.Text = "Beijing";
            londonSubItem.Text = "London";
            parisSubItem.Text = "Paris";
            washingtonSubItem.Text = "Washington,D.C";
            ottawaSubItem.Text = "Ottawa";
            canberraSubItem.Text = "Canberra";
            wellingtonSubItem.Text = "Wellington";
            brasiliaSubItem.Text = "Brasilia";
            buenosSubItem.Text = "Buenos Aires";
            capeTownSubItem.Text = "Cape Town";
            harereSubItem.Text = "Harere";

            indiaNode.SubItems.Add(delhiSubItem);
            chinaNode.SubItems.Add(beijingSubItem);
            britainNode.SubItems.Add(londonSubItem);
            franceNode.SubItems.Add(parisSubItem);
            unitedStatesNode.SubItems.Add(washingtonSubItem);
            CanadaNode.SubItems.Add(ottawaSubItem);
            australiaChildNode.SubItems.Add(canberraSubItem);
            newZealandNode.SubItems.Add(wellingtonSubItem);
            brazilNode.SubItems.Add(brasiliaSubItem);
            argentinaNode.SubItems.Add(buenosSubItem);
            southAfricaNode.SubItems.Add(capeTownSubItem);
            zimbabweNode.SubItems.Add(harereSubItem);

            multiColumnTreeView.Margin = new Padding(10);
        }

        /// <summary>
        /// Helps to load the TreeNodeAdvCollection details.
        /// </summary>
        internal void LoadTreeView(ref Syncfusion.Windows.Forms.Tools.TreeViewAdv treeView)
        {
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode39 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Windows Photo Viewer");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode40 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Windows Mail");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode41 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Windows NT");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode42 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Program Files", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode39,
            treeNode40,
            treeNode41});
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode43 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Smith");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode44 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Public");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode45 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Admin");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode46 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Users", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode43,
            treeNode44,
            treeNode45});
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode47 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Boot");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode48 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("File Manager");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode49 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("System32");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode50 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Windows", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode47,
            treeNode48,
            treeNode49});
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode51 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Local Disc (C:)", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode42,
            treeNode46,
            treeNode50});
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode52 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("My Photo.png");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode53 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Rental Document.docx");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode54 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Pay Slip.pdf");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode55 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Personals", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode52,
            treeNode53,
            treeNode54});
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode56 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("WF_Application");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode57 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("WPF_Application");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode58 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("UWP_Application");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode59 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Projects", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode56,
            treeNode57,
            treeNode58});
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode60 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Work Details.docx");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode61 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Weekly Report.docx");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode62 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Office", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode60,
            treeNode61});
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode63 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Local Disc (D:)", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode55,
            treeNode59,
            treeNode62});
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode64 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Wind.png");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode65 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Stone.png");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode66 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Pictures", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode64,
            treeNode65});
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode67 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Environment Pollution.docx");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode68 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Global Warming.docx");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode69 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Social Network.pdf");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode70 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Documents", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode67,
            treeNode68,
            treeNode69});
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode71 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("UI-Guide.pdf");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode72 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Tutorials.zip");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode73 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("WinForms.7z");
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode74 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Study Materials", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode71,
            treeNode72,
            treeNode73});
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode75 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("Local Disc (E:)", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode66,
            treeNode70,
            treeNode74});
            Syncfusion.Windows.Forms.Tools.TreeNodeAdv treeNode76 = new Syncfusion.Windows.Forms.Tools.TreeNodeAdv("This PC", new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode51,
            treeNode63,
            treeNode75});
            treeNode39.Text = "Windows Photo Viewer";
            treeNode40.Text = "Windows Mail";
            treeNode41.Text = "Windows NT";
            treeNode42.Text = "Program Files";
            treeNode43.Text = "Smith";
            treeNode44.Text = "Public";
            treeNode45.Text = "Admin";
            treeNode46.Text = "Users";
            treeNode47.Text = "Boot";
            treeNode48.Text = "File Manager";
            treeNode49.Text = "System32";
            treeNode50.Text = "Windows";
            treeNode51.Text = "Local Disc (C:)";
            treeNode52.Text = "My Photo.png";
            treeNode53.Text = "Rental Document.docx";
            treeNode54.Text = "Pay Slip.pdf";
            treeNode55.Text = "Personals";
            treeNode56.Text = "WF_Application";
            treeNode57.Text = "WPF_Application";
            treeNode58.Text = "UWP_Application";
            treeNode59.Text = "Projects";
            treeNode60.Text = "Work Details.docx";
            treeNode61.Text = "Weekly Report.docx";
            treeNode62.Text = "Office";
            treeNode63.Text = "Local Disc (D:)";
            treeNode64.Text = "Wind.png";
            treeNode65.Text = "Stone.png";
            treeNode66.Text = "Pictures";
            treeNode67.Text = "Environment Pollution.docx";
            treeNode68.Text = "Global Warming.docx";
            treeNode69.Text = "Social Network.pdf";
            treeNode70.Text = "Documents";
            treeNode71.Text = "UI-Guide.pdf";
            treeNode72.Text = "Tutorials.zip";
            treeNode73.Text = "WinForms.7z";
            treeNode74.Text = "Study Materials";
            treeNode75.Text = "Local Disc (E:)";
            treeNode76.Text = "This PC";
            treeView.Nodes.AddRange(new Syncfusion.Windows.Forms.Tools.TreeNodeAdv[] {
            treeNode76});
        }
    }

  
}
